iproute2 (6.1.0-1ubuntu6.4) noble; urgency=medium

  * Modify tc/tbf and tc/htb to allow 64 bit burst parameter (LP: #2147525)
    - /d/p/lp2147525-1-tc-tbf-enable-64-bit-burst.patch
    - /d/p/lp2147525-2-tc-htb-enable-64-bit-burst.patch

 -- Ioana Lazea <ioana.lazea@canonical.com>  Wed, 15 Apr 2026 09:53:43 +0300

iproute2 (6.1.0-1ubuntu6.3) noble; urgency=medium

  * Modify tc police to permit burst sizes up greater than 4GB (LP: #2125448)
    - /d/p/2001-lib-Update-backend-of-print_size-to-accept-64-bit-si.patch
    - /d/p/2002-tc-Add-get_size64-and-get_size64_and_cell.patch
    - /d/p/2003-tc-Expand-tc_calc_xmittime-tc_calc_xmitsize-to-u64.patch
    - /d/p/2004-tc-police-enable-use-of-64-bit-burst-parameter.patch 

 -- Jorge Merlino <jorge.merlino@canonical.com>  Thu, 02 Oct 2025 15:33:11 -0300

iproute2 (6.1.0-1ubuntu6.2) noble; urgency=medium

  * Do not use stdout to print info about default fan map usage (LP: #2115790)
    - d/p/1003-ubuntu-poc-fan-dynamic-map.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 10 Jul 2025 16:46:54 +0200

iproute2 (6.1.0-1ubuntu6.1) noble; urgency=medium

  * Expose IFLA_VXLAN_FAN_MAP version via sysctl/proc (LP: #2106115)
    - d/p/1003-ubuntu-poc-fan-dynamic-map.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 26 Jun 2025 16:35:31 +0200

iproute2 (6.1.0-1ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:00:13 +0000

iproute2 (6.1.0-1ubuntu5) noble; urgency=medium

  * Revert the bootstrap changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 15:00:05 +0100

iproute2 (6.1.0-1ubuntu4+ppa1) noble; urgency=medium

  * Build without Berkley DB, don't install arpd.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 09:28:56 +0100

iproute2 (6.1.0-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:25:05 +0000

iproute2 (6.1.0-1ubuntu2) lunar; urgency=medium

  * d/patches/0001-ip-fix-UB-in-strncpy-e.g.-truncated-ip-route-output.patch:
    grab patch from upstream mailing list to fix undefined behaviour that
    misbehaves with glibc 2.37.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 14 Feb 2023 22:10:06 +1300

iproute2 (6.1.0-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 13:40:48 -0800

iproute2 (6.1.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.1.0'
  * Update Lintian overrides syntax

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Dec 2022 15:17:20 +0000

iproute2 (6.0.0-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch
  * debian/patches/1002-ubuntu-poc-fan-driver-vxlan.patch: refresh.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Dec 2022 21:04:18 -0800

iproute2 (6.0.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/6.0.0'
  * Update Lintian overrides syntax

 -- Luca Boccassi <bluca@debian.org>  Sat, 08 Oct 2022 17:14:47 +0100

iproute2 (5.19.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.19.0'
  * Refresh patch for 5.19
  * Update Lintian overrides for new syntax

 -- Luca Boccassi <bluca@debian.org>  Wed, 03 Aug 2022 13:26:05 +0100

iproute2 (5.18.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.18.0'
  * Bump Standards-Version to 4.6.1, no changes
  * Update Lintian overrides for new version

 -- Luca Boccassi <bluca@debian.org>  Wed, 08 Jun 2022 14:47:01 +0100

iproute2 (5.17.0-2) unstable; urgency=medium

  * d/rules: use execute_after instead of override
  * Switch main branch to debian/sid
  * Remove outdated README.source
  * Move maintainership to Debian Kernel Team
  * Drop unneeded Lintian override
  * Override Lintian warning about missing upstream bug tracking metadata
  * iproute2-doc: install examples

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Apr 2022 22:10:16 +0200

iproute2 (5.17.0-1) unstable; urgency=medium

  * Fix Lintian warnings regarding d/u/metadata.
  * Update upstream source from tag 'upstream/5.17.0'

 -- Luca Boccassi <bluca@debian.org>  Fri, 25 Mar 2022 10:48:29 +0000

iproute2 (5.16.0-2) unstable; urgency=medium

  * Drop manual /usr/lib/tc/m_ipt.so -> m_xt.so symlink (Closes: #1004059)

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Jan 2022 10:29:38 +0000

iproute2 (5.16.0-1) unstable; urgency=medium

  * Drop 0004-sync-iptables-header.patch, not necessary anymore
  * Update upstream source from tag 'upstream/5.16.0'
  * Update iproute2.install: routef has been dropped
  * Bump d/copyright year range
  * Update Lintian overrides
  * Suggest python3:any for /usr/bin/routel

 -- Luca Boccassi <bluca@debian.org>  Thu, 13 Jan 2022 22:57:57 +0000

iproute2 (5.15.0-1ubuntu2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 12:56:47 +0100

iproute2 (5.15.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 29 Nov 2021 15:20:43 +0000

iproute2 (5.15.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.15.0'
  * Drop configure-restore-backward-compatibility.patch, merged upstream
  * Refresh patches to remove fuzz
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Nov 2021 23:08:14 +0000

iproute2 (5.14.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.14.0'
  * Bump Standards-Version to 4.6.0, no changes
  * Backport patch to fix configure breakage

 -- Luca Boccassi <bluca@debian.org>  Thu, 02 Sep 2021 11:44:35 +0100

iproute2 (5.13.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Aug 2021 13:07:08 +0100

iproute2 (5.13.0-1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/5.13.0'
    (Closes: #991465)
  * Drop patches merged upstream
  * Install new dcb and vdpa tools

 -- Luca Boccassi <bluca@debian.org>  Mon, 26 Jul 2021 10:56:50 +0100

iproute2 (5.10.0-4ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:13:03 +0200

iproute2 (5.10.0-4ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 17 Mar 2021 09:56:39 -0700

iproute2 (5.10.0-4) unstable; urgency=medium

  * Backport 0012-iproute-force-rtm_dst_len-to-32-128.patch to fix ip
    route get with netmask (Closes: #944730)
  * Add d/not-installed file
  * Bump debhelper-compat to 13

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Feb 2021 23:34:59 +0000

iproute2 (5.10.0-3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 29 Jan 2021 12:20:58 -0800

iproute2 (5.10.0-3) unstable; urgency=medium

  * Backport patches to fix ip vrf exec (Closes: #980046)

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Jan 2021 23:11:31 +0000

iproute2 (5.10.0-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jan 2021 16:38:00 -0800

iproute2 (5.10.0-2) unstable; urgency=medium

  * Backport patches from iproute2-next to support libbpf
  * Add build-dependency on libbpf-dev
  * Remove duplicated lines from iproute2.lintian-overridess

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 Dec 2020 15:16:36 +0000

iproute2 (5.10.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.10.0'
    (Closes: #972784, #949235)
  * Bump Standards-Version to 4.5.1, no changes

 -- Luca Boccassi <bluca@debian.org>  Sun, 20 Dec 2020 22:47:37 +0000

iproute2 (5.9.0-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Oct 2020 17:50:27 -0700

iproute2 (5.9.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.9.0'

 -- Luca Boccassi <bluca@debian.org>  Mon, 19 Oct 2020 10:49:53 +0100

iproute2 (5.8.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.8.0'
  * Refresh 0001-Add-moo-feature.patch to remove fuzz from 5.8.0

 -- Luca Boccassi <bluca@debian.org>  Wed, 12 Aug 2020 13:54:32 +0100

iproute2 (5.7.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Jun 2020 14:13:18 -0700

iproute2 (5.7.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.7.0'
  * Add override for Lintian false positive in iproute2-doc

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Jun 2020 12:27:27 +0100

iproute2 (5.6.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 15:23:39 -0700

iproute2 (5.6.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/5.6.0'
  * Set hardening=+all to enable BindNow
  * Use https in d/watch
  * Switch to debhelper-compat 12
  * Fix Vc-Browser field, remove .git
  * Minimize d/upstream/signing-key.asc
  * Add Lintian overrides for false positives

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 Apr 2020 10:03:30 +0100

iproute2 (5.5.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch
  * Dropped changes, included in Debian:
    - Make autopkgtests cross-test-friendly.
  * Dropped changes, included upstream:
    - debian/patches/git-tunnel-creation.patch:
      backport upstream change to fix a tunnel creation problem which is
      leading to a failure on the network-manager ci 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 09:21:59 -0800

iproute2 (5.5.0-1) unstable; urgency=medium

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly (Closes: #949566)

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.5.0, no changes.
  * Build-depend on libxtables-dev instead of iptables-dev. (Closes:
    #951089)
  * Update upstream source from tag 'upstream/5.5.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2020 10:51:46 +0000

iproute2 (5.4.0-1) unstable; urgency=medium

  * Fix Lintian Warning: spelling-error-in-changelog
  * Update upstream source from tag 'upstream/5.4.0'
  * iproute2-doc: upstream no longer ships examples

 -- Luca Boccassi <bluca@debian.org>  Thu, 28 Nov 2019 10:56:11 +0000

iproute2 (5.3.0-1) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Do not ship ifstat.8 manpage, as we do not ship the binary
  * Update upstream source from tag 'upstream/5.3.0'
  * Refresh patches for 5.3.0

 -- Luca Boccassi <bluca@debian.org>  Fri, 27 Sep 2019 12:17:59 +0100

iproute2 (5.2.0-1ubuntu3) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 21 Jan 2020 16:22:08 -0800

iproute2 (5.2.0-1ubuntu2) eoan; urgency=medium

  * debian/patches/git-tunnel-creation.patch:
    - backport upstream change to fix a tunnel creation problem which is
      leading to a failure on the network-manager ci 

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 10 Oct 2019 11:50:20 +0200

iproute2 (5.2.0-1ubuntu1) eoan; urgency=medium

  * Merge with Debian testing. Remaining changes:
    - Add: Ubuntu Fan driver (V2/3/4) patches
      - d/p/1000-ubuntu-poc-fan-driver.patch
        Ubuntu FAN driver support V2 (LP 1439706)
      - d/p/1001-ubuntu-poc-fan-driver-v3.patch
        Ubuntu FAN driver support V3 (LP 1470091)
      - d/p/1002-ubuntu-poc-fan-driver-vxlan.patch
        Ubuntu FAN driver support VXLAN V4.
    - Drop: debian/patches/0001-Add-moo-feature.patch
  * Dropped changes:
    - d/p/1005-lib-suppress-error-msg-when-filling-the-cache.patch
      Already included upstream in 5.2.0.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 08 Aug 2019 11:18:17 +0200

iproute2 (5.2.0-1) unstable; urgency=medium

  * Use /run/netns rather than /var/run/netns. Allows one to manage namespaces
    early at boot in case /var is on a different filesystem. (Closes:
    #929774)
  * Update upstream source from tag 'upstream/5.2.0'
  * Refresh 0004-sync-iptables-header.patch, most of it has been merged
    upstream.

 -- Luca Boccassi <bluca@debian.org>  Tue, 09 Jul 2019 20:52:47 +0100

iproute2 (5.1.0-1ubuntu2) eoan; urgency=medium

  * Add: d/p/1005-lib-suppress-error-msg-when-filling-the-cache.patch
    Suppress meaningless error message during interface setup.

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 10 Jul 2019 16:38:52 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog iproute2`.
